SPECS: repackage.sh - autodetect noarch target (sick of the strip ...

glen glen at pld-linux.org
Sun Feb 5 18:42:07 CET 2006


Author: glen                         Date: Sun Feb  5 17:42:07 2006 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- autodetect noarch target (sick of the strip and chrpath noise)

---- Files affected:
SPECS:
   repackage.sh (1.3 -> 1.4) 

---- Diffs:

================================================================
Index: SPECS/repackage.sh
diff -u SPECS/repackage.sh:1.3 SPECS/repackage.sh:1.4
--- SPECS/repackage.sh:1.3	Wed Sep  7 00:23:56 2005
+++ SPECS/repackage.sh	Sun Feb  5 18:42:02 2006
@@ -12,8 +12,14 @@
 	# i'd use ./builder to get all the ~/.bcondrc parsing,
     # but builder doesn't understand -bi
 #	./builder -ncs -nc -nn --opts --short-circuit "$@"
-	/usr/bin/rpmbuild --short-circuit --define '_source_payload w9.gzdio' "$@" || exit
+	/usr/bin/rpmbuild ${TARGET:+--target $TARGET} --short-circuit --define '_source_payload w9.gzdio' "$@" || exit
 }
+
+SPECFILE="$1"
+tmp=$(awk '/^BuildArch:/ { print $NF}' $SPECFILE)
+if [ "$tmp" ]; then
+	TARGET="$tmp"
+fi
 
 # just create the rpm's if -bb is somewhere in the args
 if [[ *$@* != *-bb* ]]; then
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/repackage.sh?r1=1.3&r2=1.4&f=u



More information about the pld-cvs-commit mailing list